scrub-obsolete Package - ruby-html2text

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/ruby-html2text scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index 161f277..06e9fef 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,9 @@ ruby-html2text (0.2.0-2) UNRELEASED; urgency=medium
     Repository-Browse.
   * Update Vcs-* headers from URL redirect.
   * Use canonical URL in Vcs-Git.
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on ruby-nokogiri.
+    + ruby-html2text: Drop versioned constraint on ruby-nokogiri in Depends.
 
  -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 13 Aug 2019 05:38:51 +0530
 
diff --git a/debian/control b/debian/control
index 1142b48..2d1d677 100644
--- a/debian/control
+++ b/debian/control
@@ -7,7 +7,7 @@ Build-Depends: debhelper-compat (= 12),
                gem2deb,
                locales,
                rake,
-               ruby-nokogiri (>= 1.6),
+               ruby-nokogiri,
                ruby-rspec,
                ruby-rspec-collection-matchers
 Build-Conflicts: locales-all
@@ -22,7 +22,7 @@ Package: ruby-html2text
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ruby | ruby-interpreter,
-         ruby-nokogiri (>= 1.6),
+         ruby-nokogiri,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: convert HTML into plain text

Run locally

Try this locally (using the lintian-brush package):

debcheckout ruby-html2text
cd ruby-html2text
deb-scrub-obsolete

More details

Full run details